Subject: Re: [PATCH v2 3/3] powerpc: Add IO event interrupt support

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 07 Feb 2011 16:10:37 +1100

On Wed, 2011-01-05 at 16:44 -0600, Tseng-Hui (Frank) Lin wrote:
> This patch adds support for handling IO Event interrupts which come
> through at the /event-sources/ibm,io-events device tree node.

 .../...

The previous patches regarding the error log sometimes call it error log
and sometimes event log. Can you consolidate that ?

> +int pseries_ioei_register_handler(pseries_ioei_handler_t handler)
> +{

Shouldn't we have a void * to attach with each client so it can put
its private data there and get them back in the handler ?

We are -really- re-inventing interrupts and/or notifiers here, which
I find a tad annoying..

Cheers,
Ben.